For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
      • GETList Forms
      • GETRetrieve a Form
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationForms

Retrieve a Form

||View as Markdown|
GET
https://api.close.com/api/v1/form/:id/
GET
/api/v1/form/:id/
$curl https://api.close.com/api/v1/form/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "date_created": "2024-01-15T10:00:00+00:00",
3 "date_updated": "2024-03-01T12:30:00+00:00",
4 "field_definitions": [
5 {
6 "choices": null,
7 "id": "formfld_def456",
8 "name": "name",
9 "type": "text"
10 },
11 {
12 "choices": null,
13 "id": "formfld_def789",
14 "name": "email",
15 "type": "email"
16 },
17 {
18 "choices": [
19 {
20 "label": "Sales",
21 "value": "sales"
22 },
23 {
24 "label": "Support",
25 "value": "support"
26 }
27 ],
28 "id": "formfld_defabc",
29 "name": "interest",
30 "type": "select"
31 }
32 ],
33 "id": "form_abc123",
34 "is_archived": false,
35 "name": "Contact Us",
36 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
37}
Retrieve a single form and its published field definitions by ID.
Was this page helpful?
Previous

List Forms

Next

Email Templates

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
date_createddatetime
date_updateddatetime
field_definitionslist of objects
idstring
is_archivedboolean
namestring
organization_idstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error